<?php

/**
 *
 * Plugin Name:  SimpleForm Contact Form Submissions
 * Description:  You are afraid of losing important messages? This addon for SimpleForm saves data into the WordPress database, and allows you to easily manage the messages from the dashboard.
 * Version:      1.6.2
 * Author:       WPSForm Team
 * Author URI:   https://wpsform.com
 * License:      GPL-2.0+
 * License URI:  http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:  simpleform-contact-form-submissions
 * Domain Path:  /languages
 *
 */

if ( ! defined( 'WPINC' ) ) { die; }

/**
 * Plugin constants.
 *
 * @since    1.0
 */
 
define( 'SIMPLEFORM_SUBMISSIONS_NAME', 'SimpleForm Contact Form Submissions' ); 
define( 'SIMPLEFORM_SUBMISSIONS_VERSION', '1.6.2' ); 
define( 'SIMPLEFORM_SUBMISSIONS_DB_VERSION', '1.6.2' );
define( 'SIMPLEFORM_SUBMISSIONS_BASENAME', plugin_basename( __FILE__ ) );
define( 'SIMPLEFORM_SUBMISSIONS_PATH', plugin_dir_path( __FILE__ ) );
define( 'SIMPLEFORM_VERSION_REQUIRED', '1.10.6' );

/**
 * The code that runs during plugin activation.
 *
 * @since    1.0
 */
 
function activate_simpleform_submissions($network_wide) {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-activator.php';
	SimpleForm_Submissions_Activator::activate($network_wide);
}

/** 
 * Change table when a new site into a network is created.
 *
 * @since    1.0
 */ 

function simpleform_submissions_db_on_create_blog($params) {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-activator.php';
	SimpleForm_Submissions_Activator::on_create_blog($params);
}

add_action( 'wp_insert_site', 'simpleform_submissions_db_on_create_blog'); 

/**
 * The code that runs during plugin deactivation.
 *
 * @since    1.0
 */
 
function deactivate_simpleform_submissions() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-deactivator.php';
	SimpleForm_Submissions_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_simpleform_submissions' );
register_deactivation_hook( __FILE__, 'deactivate_simpleform_submissions' );

/**
 * The core plugin class.
 *
 * @since    1.0
 */
 
require plugin_dir_path( __FILE__ ) . '/includes/class-core.php';

/**
 * Begins execution of the plugin.
 *
 * @since    1.0
 */
 
function run_SimpleForm_Submissions() {

	$plugin = new SimpleForm_Submissions();
	$plugin->run();

}

run_SimpleForm_Submissions();