<?php

/**
 * Fired when the plugin is uninstalled.
 *
 * @since      1.0
 */

// Prevent direct access. Exit if file is not called by WordPress.
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	exit;
}

// Detect core plugin
$plugin_file = 'simpleform/simpleform.php';
if ( file_exists( WP_PLUGIN_DIR . '/' . $plugin_file ) ) {

 if ( !is_multisite() )  {
  $settings = get_option('sform_settings');
  if ( $settings ) {
   if ( isset( $settings['deleting_messages'] ) && esc_attr($settings['deleting_messages']) == 'true' ) {
    global $wpdb;
    $prefix = $wpdb->prefix;
    $submissions_table = $prefix . 'sform_submissions';
    $wpdb->query("ALTER TABLE $submissions_table DROP COLUMN name, DROP COLUMN lastname, DROP COLUMN email, DROP COLUMN phone, DROP COLUMN subject, DROP COLUMN object, DROP COLUMN ip, DROP COLUMN status, DROP COLUMN trash_date, DROP COLUMN listable");
   }
   $addon_settings = array( 'data_storing' => $settings['data_storing'], 'ip_storing' => $settings['ip_storing'], 'data_columns' => $settings['data_columns'], 'counter' => $settings['counter'], 'deleting_messages' => $settings['deleting_messages'] );
   $new_settings = array_diff_key($settings,$addon_settings);
   update_option('sform_settings', $new_settings);
   global $wpdb;
   $shortcodes_table = $wpdb->prefix . 'sform_shortcodes';
   if ( $result = $wpdb->get_results("SHOW TABLES LIKE '".$shortcodes_table."'") ) {
   $ids = $wpdb->get_col("SELECT id FROM `$shortcodes_table` WHERE id != '1'");	 
   if ( $ids ) {
	foreach ( $ids as $id ) {
	$form_settings = get_option('sform_'.$id.'_settings');
    if ( $form_settings != false ) {
       $addon_settings = array( 'data_storing' => $form_settings['data_storing'], 'ip_storing' => $form_settings['ip_storing'], 'data_columns' => $form_settings['data_columns'], 'counter' => $form_settings['counter'], 'deleting_messages' => $form_settings['deleting_messages'] );
       $new_form_settings = array_diff_key($form_settings,$addon_settings);
       update_option('sform_'.$id.'_settings', $new_form_settings); 
    }
    }
   }
  }
  }
  delete_option( 'sform_sub_db_version' );
  delete_option( 'sform_screen_options' );
  delete_transient( 'sform_action_notice' );
  } 

 else {
    global $wpdb;
    $blog_ids = $wpdb->get_col( "SELECT blog_id FROM $wpdb->blogs" );
    $original_blog_id = get_current_blog_id();
    foreach ( $blog_ids as $blog_id ) {
      switch_to_blog( $blog_id );
      $settings = get_option('sform_settings');
      if ( $settings ) {
        if ( isset( $settings['deleting_messages'] ) && esc_attr($settings['deleting_messages']) == 'true' ) {
        $prefix = $wpdb->prefix;
        $submissions_table = $prefix . 'sform_submissions';
        $wpdb->query("ALTER TABLE $submissions_table DROP COLUMN name, DROP COLUMN lastname, DROP COLUMN email, DROP COLUMN phone, DROP COLUMN subject, DROP COLUMN object, DROP COLUMN ip, DROP COLUMN status, DROP COLUMN trash_date, DROP COLUMN listable");
        }
        $addon_settings = array( 'data_storing' => $settings['data_storing'], 'ip_storing' => $settings['ip_storing'], 'data_columns' => $settings['data_columns'], 'counter' => $settings['counter'], 'deleting_messages' => $settings['deleting_messages'] );
        $new_settings = array_diff_key($settings,$addon_settings);
        update_option('sform_settings', $new_settings);
        $shortcodes_table = $wpdb->prefix . 'sform_shortcodes';
        if ( $result = $wpdb->get_results("SHOW TABLES LIKE '".$shortcodes_table."'") ) {
         $ids = $wpdb->get_col("SELECT id FROM `$shortcodes_table` WHERE id != '1'");	 
         if ( $ids ) {
	      foreach ( $ids as $id ) {
	      $form_settings = get_option('sform_'.$id.'_settings');
          if ( $form_settings != false ) {
           $addon_settings = array( 'data_storing' => $form_settings['data_storing'], 'ip_storing' => $form_settings['ip_storing'], 'data_columns' => $form_settings['data_columns'], 'counter' => $form_settings['counter'], 'deleting_messages' => $form_settings['deleting_messages'] );
           $new_form_settings = array_diff_key($form_settings,$addon_settings);
           update_option('sform_'.$id.'_settings', $new_form_settings); 
          }
          }
         }
        }
      }
      delete_option( 'sform_sub_db_version' );
      delete_option( 'sform_screen_options' );
      delete_transient( 'sform_action_notice' );
    } 
    switch_to_blog( $original_blog_id );
 }
}
else {
  global $wpdb;
  $wpdb->query( 'DROP TABLE IF EXISTS ' . $wpdb->prefix . 'sform_submissions' );
  $wpdb->query( "DELETE FROM {$wpdb->options} WHERE option_name LIKE 'sform\_%'" );
  $wpdb->query( "DELETE FROM {$wpdb->options} WHERE option_name LIKE 'sform\-%'" );
  $wpdb->query( "DELETE FROM {$wpdb->options} WHERE option_name LIKE '%\_sform\_%'" );
} 